{if="!$fsc->informe['started']"}
   {include="header"}
   
   <br/>
   <br/>
   
   <div class="container">
      <div class="row">
         <div class="col-sm-6">
            <form action="{$fsc->url()}" method="post" class="form">
               <div class="panel panel-info">
                  <div class="panel-heading">
                     <h3 class="panel-title">Opciones del informe de errores</h3>
                  </div>
                  <div class="panel-body">
                     <div class="form-group">
                        Comprobar
                        <select class="form-control" name="modelo">
                           <option value="todo">Todo</option>
                           <option value="todo">-------</option>
                           <option value="tablas" selected="">Tablas</option>
                           <option value="asiento">Asientos</option>
                           <option value="factura cliente">Facturas de cliente</option>
                           <option value="factura proveedor">Facturas de proveedor</option>
                           <option value="albaran cliente">{function="ucfirst(FS_ALBARANES)"} de cliente</option>
                           <option value="albaran proveedor">{function="ucfirst(FS_ALBARANES)"} de proveedor</option>
                           <option value="dirclientes">Direcciones de clientes</option>
                        </select>
                     </div>
                     <div class="form-group">
                        Hasta el ejercicio
                        <select class="form-control" name="ejercicio">
                           {loop="$fsc->ejercicio->all()"}
                           <option value="{$value->codejercicio}">{$value->nombre}</option>
                           {/loop}
                           <option value="">---</option>
                           <option value="" selected="">Comprobar todos</option>
                        </select>
                     </div>
                     <div class="checkbox">
                        <label>
                           <input type="checkbox" name="duplicados" value="TRUE"/>
                           Detectar duplicados
                        </label>
                     </div>
                  </div>
                  <div class="panel-footer">
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.form.submit();">
                        <span class="glyphicon glyphicon-play"></span> &nbsp; Iniciar comprobación
                     </button>
                  </div>
               </div>
            </form>
         </div>
         <div class="col-sm-6">
            <div class="thumbnail">
               <img src="view/img/help-menu.png" alt="informar..."/>
               <div class="caption">
                  <h3>¿No se soluciona el error?</h3>
                  <p>
                     Si los errores persisten, es mejor que nos informes.
                     Usa el menú de ayuda, pulsa informar... y después
                     enviar.
                  </p>
               </div>
            </div>
         </div>
      </div>
   </div>
   
   
   {include="footer"}
{elseif="!$fsc->ajax"}
   {include="header"}
   
   <script type="text/javascript">
      var show_page = "{$fsc->informe['show_page']}";
      var timeout = false;
      function load_errors(page)
      {
         show_page = page;
         $.ajax({
            type: 'POST',
            url: '{$fsc->url()}',
            dataType: 'html',
            data: 'ajax=TRUE&show_page='+show_page,
            success: function(datos) {
               clearTimeout(timeout);
               var re = /<!--(.*?)-->/g;
               var m = re.exec(datos);
               if(m[1] == 'FIN_PROCESO')
               {
                  $("#informe_errores").html(datos);
               }
               else if(m[1] == show_page)
               {
                  $("#informe_errores").html(datos);
                  timeout = setTimeout("load_errors(show_page);", 500);
               }
            }
         });
      }
      $(document).ready(function() {
         timeout = setTimeout("load_errors(show_page);", 500);
      });
   </script>
   
   <div id="informe_errores">
      <div class="alert alert-warning" role="alert">Cargando...</div>
   </div>
   
   {include="footer"}
{else}
   {if="$fsc->informe['model']=='fin'"}
      <!--FIN_PROCESO-->
      <div class="alert alert-info alert-dismissible" role="alert">
         <a href="{$fsc->url()}&cancelar=TRUE" class="close"><span aria-hidden="true">&times;</span></a>
         Comprobación finalizada.
      </div>
   {else}
      <!--{$fsc->informe['show_page']}-->
      <div class="alert alert-success" role="alert">
         <a href="{$fsc->url()}&cancelar=TRUE" class="close"><span aria-hidden="true">&times;</span></a>
         Comprobado hasta {$fsc->informe['model']} {$fsc->informe['offset']}...
         {$fsc->duration()} &nbsp; <i class="fa fa-refresh fa-spin"></i>
      </div>
   {/if}
   
   {if="$fsc->get_errors()"}
   <div class="alert alert-danger hidden-print">
      <ul>{loop="$fsc->get_errors()"}<li>{$value}</li>{/loop}</ul>
   </div>
   {/if}
   {if="$fsc->get_messages()"}
   <div class="alert alert-success hidden-print">
      <ul>{loop="$fsc->get_messages()"}<li>{$value}</li>{/loop}</ul>
   </div>
   {/if}
   {if="$fsc->get_advices()"}
   <div class="alert alert-info hidden-print">
      <ul>{loop="$fsc->get_advices()"}<li>{$value}</li>{/loop}</ul>
   </div>
   {/if}
   
   <div class="table-responsive">
      <table class="table table-hover">
         <thead>
            <tr>
               <th class="text-left">Error</th>
               <th class="text-left"></th>
               <th class="text-left">Modelo</th>
               <th class="text-left">Ejercicio</th>
               <th class="text-left">Identificador</th>
               <th class="text-right">Fecha</th>
            </tr>
         </thead>
         {loop="$fsc->errores"}
         <tr>
            <td>{$value['error']}</td>
            <td>{if="$value['fix']"}Corregido{else}-{/if}</td>
            <td>{$value['model']}</td>
            <td>{$value['ejercicio']}</td>
            <td><a href="{$value['url']}">{$value['id']}</a></td>
            <td class="text-right">{$value['fecha']}</td>
         </tr>
         {else}
         <tr class="warning">
            <td colspan="6">Nada que mostrar.</td>
         </tr>
         {/loop}
      </table>
   </div>
   
   <div style="text-align: center;">
      
   </div>
   
   <div class="container-fluid">
      <div class="row">
         <div class="col-sm-9">
            <div class="btn-group">
               {loop="$fsc->all_pages()"}
               <a href="{$fsc->url()}&show_page={$value['page']}" class="btn btn-sm btn-default{if="$value['selected']"} active{/if}">
                  {$value['num']}
               </a>
               {/loop}
            </div>
         </div>
         <div class="col-sm-3 text-right">
            {if="$fsc->informe['model']=='fin'"}
            <a href="{$fsc->url()}&cancelar=TRUE" class="btn btn-sm btn-info">
               <span class="glyphicon glyphicon-ok"></span> &nbsp; Finalizar
            </a>
            {/if}
         </div>
      </div>
   </div>
{/if}